#
# spec file for package wvstreams
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wvstreams
Url:            http://alumnit.ca/wiki/?WvStreams
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
Version:        4.4.1
Release:        97.10
Summary:        Network Programming Library in C++
License:        LGPL-2.1+
Group:          Development/Libraries/Other
Source0:        http://open.nit.ca/download/%{name}-%{version}.tar.bz2
Patch0:         set-empty.diff
Patch1:         sentinel.diff
Patch2:         73045.diff
Patch4:         wvcrash.diff
Patch5:         wvstreams-wvmodem-iotcl.patch
Patch8:         wvstreams-gcc43.patch
Patch9:         wvstreams-openssl.patch
Patch10:        wvstreams-headers.patch
Patch11:        wvstreams-gcc47.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A network programming library in C++. It aims to be an efficient,
secure, easy to use, and OS-independent library for network application
development.



Authors:
--------
    Net Integration Technologies, Inc.

%package devel
Summary:        Network Programming Library in C++
Group:          Development/Libraries/Other
Requires:       libstdc++-devel
Requires:       openssl-devel
Requires:       wvstreams = %{version}

%description devel
A network programming library in C++. It aims to be an efficient,
secure, easy to use, and OS-independent library for network application
development.



Authors:
--------
    Net Integration Technologies, Inc.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch4
%patch5
%patch8
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
export CFLAGS="$RPM_OPT_FLAGS -fgnu89-inline -fPIC -DOPENSSL_LOAD_CONF"
export COPTS="$CFLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS -DOPENSSL_LOAD_CONF -fPIC -fno-strict-aliasing -fno-tree-dce -fno-optimize-sibling-calls -fvisibility-inlines-hidden"
export CXXOPTS="$CXXFLAGS"
%configure --disable-static --enable-verbose
make %{?_smp_mflags}

%install
export SUSE_ASNEEDED=0
make install DESTDIR=%{buildroot}
rm %{buildroot}/%_libdir/valgrind/wvstreams.supp

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc COPYING.LIB README
%{_libdir}/*.so.*
/usr/bin/uni
/usr/sbin/uniconfd
/usr/bin/wvtesthelper
/usr/bin/wvtestmeter
%doc %{_mandir}/man8/*
%config(noreplace) /etc/uniconf.conf
%config /var/lib/uniconf

%files devel
%defattr (-, root, root)
/usr/include/wvstreams
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/libuniconf.a
%exclude %{_libdir}/libwvbase.a
%exclude %{_libdir}/libwvstreams.a
%exclude %{_libdir}/libwvutils.a
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Thu Jun 18 2015 crrodriguez@opensuse.org
- Use -fgnu89-inline for C code, fixes GCC5 build
* Fri May 16 2014 crrodriguez@opensuse.org
-At some point, this thing used libdb, now it does not, no
  configure check for it, not included either, but our
  LDFLAGS inject it as dependency anyway because AS_NEEDED is
  disabled too. fix that.
* Tue Aug 27 2013 crrodriguez@opensuse.org
- -devel package must require libstdc++-devel and openssl-devel
- use -fvisibility-inlines-hidden
- exclude static libraries but only those for which a shared
  library is available.
- build with -DOPENSSL_LOAD_CONF so it uses the system 's openssl
  configuration and load hardware specific engines automagically.
* Tue Nov 27 2012 fa0sck@gmail.com
- Fix bnc#779386: Disabled optimizations which caused crash
* Sat Mar 17 2012 dimstar@opensuse.org
- Add wvstreams-gcc47.patch: Fix build with gcc 4.7.
* Sat Jan 28 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Mon Jun  6 2011 aj@suse.de
- Fix build with new glibc.
* Mon Apr 19 2010 coolo@novell.com
- fix build with openssl 1.0
* Mon Feb  8 2010 jengelh@medozas.de
- as-needed is also required in %%install to succeed compilation
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Tue Jun 16 2009 coolo@novell.com
- remove unapplied patch
- fix build with glibc 2.10
- rediff to avoid fuzz
* Mon Jan 28 2008 schwab@suse.de
- Fix use of sigaction.
* Wed Jan 16 2008 hvogel@suse.de
- Update to version 4.4.1
  * Merge the crypto_refactoring branch
    into trunk, adding a ton of new X509 certificate management
    features, better CRL support, and lots of other goodies
  * make WvCRL handle blank (null) CRLs better
  * tweak WvCRL's API for const correctness
  * Remove a few more unused files/dirs
* Mon Nov 19 2007 ssommer@suse.de
- fix build for gcc43: the function for the problematic prototype
  is never compiled anyway
- do not clean buildroot in the install section
* Thu Aug  9 2007 olh@suse.de
- remove inclusion of linux/compiler.h
* Thu Mar 29 2007 rguenther@suse.de
- add zlib-devel BuildRequires
* Wed Oct 25 2006 ro@suse.de
- update to 4.2.2
  - clean up tarball
  - some bugfixes
- fix build with current gcc
* Wed Jun 14 2006 dmueller@suse.de
- build parallel
* Wed May  3 2006 kukuk@suse.de
- Fix compiling on some architectures
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 hvogel@suse.de
- update to version 4.2.1
* Thu Nov  3 2005 hvogel@suse.de
- Fix setup_modem not fail on TIOCSSERIAL for non root users
* Tue Oct 18 2005 hvogel@suse.de
- removed some extra qualifications. Added
  * wvstreams-gcc41.patch
* Mon Oct 17 2005 ro@suse.de
- make it build with current openssl
* Thu Jun 23 2005 hvogel@suse.de
- run ldconfig in post/postun
- mark config file as noreplace
* Fri Mar 18 2005 arvin@suse.de
- fixed seg. fault on AMD64 (bug #73045)
* Wed Jan 19 2005 arvin@suse.de
- added sentinel
* Thu Nov 18 2004 arvin@suse.de
- updated to version 4.0.1 (minor bug fixes)
* Tue Oct 26 2004 arvin@suse.de
- updated to version 4.0 (includes stabilized UniConf)
* Mon Apr 19 2004 arvin@suse.de
- updated to version 3.75 (minor bug fixes)
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Wed Dec 17 2003 arvin@suse.de
- fixed building on ppc
* Fri Dec 12 2003 arvin@suse.de
- initial package with wvstream libraries version 3.74
